## $Id: utils.py 10380 2013-06-25 05:54:25Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from time import time
import sys
import grok
from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
from waeup.imostate.interfaces import MessageFactory as _


class ApplicantsUtils(NigeriaApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    SEPARATORS_DICT = {
        'form.applicant_id': _(u'Base Data'),
        #'form.course1': _(u'Programmes/Courses Desired'),
        'form.olevel_type': _(u"'O' Level Records"),
        'form.notice': _(u'Application Process Information'),
      }

    APP_TYPES_DICT = {
        'ymwp': ['Youths Must Work Programme', 'YMWP'],
        'app': ['General Studies', 'APP'],
        }
